Skip to Content
homemade
Dashboard

List API keys

GET
/api/api-keys

Your API keys. The secret itself is shown only once, when the key is created.

Authorization

apiKey
headerAuthorizationBearer <hmk_…>

An API key from the dashboard or homemade api-key create.

Response Body

The keys.

application/json
  1. response
keys*array<>
Example Request
curl -X GET 'https://api.homemade.dev/api/api-keys'
Example Response
{  "keys": [    {      "createdAt": "2019-08-24T14:15:22Z",      "expiresAt": "2019-08-24T14:15:22Z",      "id": "string",      "keyPrefix": "string",      "lastUsedAt": "2019-08-24T14:15:22Z",      "name": "string"    }  ]}